﻿@using Portal.Models
@model Toyota.Common.Web.MVC.ModelHolder
@{
    ViewBag.Title = "";
    Layout = "~/Views/Shared/_Layout.cshtml";
    // var news = Model.GetNews.First();
   
 }
 <script type="text/javascript">
     function onLogin() {
         username = document.getElementById("txtUserName").value;
         password = document.getElementById("txtPassword").value;
         chkDefault = document.getElementsByName("chkDefaultApplication").value;
        
         $.ajax({
             type: "POST",
             url: "/Login/Login",
             data: {
                 userName: username,
                 password: password,
                 chkDefault: chkDefault
             },
             success: function (result) {
                 $("#content").html(result);
             }
         });
     }

     function onSuccess() {
         alert('wow');
         $.ajax({
             type: "POST",
             url: "/Login/Security",
             success: function (result) {
                 $("#content").html(response);
             }
         });
     }
 </script>
                <div class="content">
                    <div class="left_content">
                        <div class="login_box">
                            <h2>Login</h2>
                         <!-- Main Login Area -->
                         @using (Html.BeginForm("Login", "Login", FormMethod.Post))
                         {
                            @Html.ValidationSummary(true) 
                                <div class="login_box_name">Username</div>
                                <div class="login_box_field">
                                    <input id="txtUserName" name="userName" type="Username" class="form-login" title="Username" value="" size="30" maxlength="2048" onkeypress="supressShiftEnter" onkeydown="supressShiftEnter" onblur="testBlur" />                                    
                                </div>
                                <div class="login_box_name">Password</div>
                                <div class="login_box_field">
                                    <input id="txtPassword" name="password" type="password" class="form-login" title="Password" value="" size="30" maxlength="2048" onkeypress="supressShiftEnter" onkeydown="supressShiftEnter" />
                                </div>
                                <br />
                                <br />
                                <span class="login-box-options">
                                    @Html.DevExpress().CheckBox(
                                        settings =>
                                        {
                                            settings.Name = "chkDefaultApplication";
                                            settings.Text = "Log into default application";
                                        }
                                    ).GetHtml()
                                </span>                                 
                            <br />                                                              
                            <br />
                            <br />
                                <div class="login_button">
                                    <button type="submit" value="Login" name="loginssubmit" class="buttoncss"  />                              
                                </div>
                         }
                          <!-- Main Login Area Ends here-->

                        </div>
                        <!--end login_box -->
                        <div class="forget_box">
                            <a href="#">
                                <img src="@Url.Content("~/Content/images/forpass_button.png")" name="forpass_button1" border="0" align="left" id="forpass_button1" onmouseover="MM_swapImage('forpass_button1','','../../Content/images/forpass_button_h.png',1)" onmouseout="MM_swapImgRestore()"></a>
                            <a href="#">
                                <img src="@Url.Content("~/Content/images/foruser_button.png")" name="foruser_button1" border="0" align="right" id="foruser_button1" onmouseover="MM_swapImage('foruser_button1','','../../Content/images/foruser_button_h.png',1)" onmouseout="MM_swapImgRestore()"></a>
                        </div>
                        <!--end forget -->
                    </div>
                    <!--end left content -->
                    <div class="right_content">
                        <img src="@Url.Content("~/Content/images/car.png")" align="right" style="margin-top:20px; margin-right:7px;" />
                    </div>
                    <!--end right content -->
                </div>
